[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| vigra::EightNeighborhood Namespace Reference |
--- | --- | ---

## Classes

class | NeighborCode
| Encapsulation of direction management for the 8-neighborhood. More...

## Typedefs

typedef NeighborCode::Direction | Direction

## Functions

Diff2D const & | east ()
Diff2D const & | northEast ()
Diff2D const & | north ()
Diff2D const & | northWest ()
Diff2D const & | west ()
Diff2D const & | southWest ()
Diff2D const & | south ()
Diff2D const & | southEast ()

## Variables

const Direction | East = NeighborCode::East
const Direction | NorthEast = NeighborCode::NorthEast
const Direction | North = NeighborCode::North
const Direction | NorthWest = NeighborCode::NorthWest
const Direction | West = NeighborCode::West
const Direction | SouthWest = NeighborCode::SouthWest
const Direction | South = NeighborCode::South
const Direction | SouthEast = NeighborCode::SouthEast
const Direction | DirectionCount = NeighborCode::DirectionCount

## Detailed Description

Utilities for 8-neighborhood.

## Typedef Documentation

typedef NeighborCode::Direction Direction

| Export NeighborCode::Direction into the scope of namespace EightNeighborhood.

## Function Documentation

Diff2D const& east | ( |  | ) | `[inline]`

| Offset to the east neighbor

Diff2D const& north | ( |  | ) | `[inline]`

| Offset to the north neighbor

Diff2D const& northEast | ( |  | ) | `[inline]`

| Offset to the northEast neighbor

Diff2D const& northWest | ( |  | ) | `[inline]`

| Offset to the northWest neighbor

Diff2D const& south | ( |  | ) | `[inline]`

| Offset to the south neighbor

Diff2D const& southEast | ( |  | ) | `[inline]`

| Offset to the southEast neighbor

Diff2D const& southWest | ( |  | ) | `[inline]`

| Offset to the southWest neighbor

Diff2D const& west | ( |  | ) | `[inline]`

| Offset to the west neighbor

## Variable Documentation

const Direction DirectionCount = NeighborCode::DirectionCount`[static]`

| Export NeighborCode::DirectionCount to namespace EightNeighborhood

const Direction East = NeighborCode::East`[static]`

| Export NeighborCode::East to namespace EightNeighborhood

const Direction North = NeighborCode::North`[static]`

| Export NeighborCode::North to namespace EightNeighborhood

const Direction NorthEast = NeighborCode::NorthEast`[static]`

| Export NeighborCode::NorthEast to namespace EightNeighborhood

const Direction NorthWest = NeighborCode::NorthWest`[static]`

| Export NeighborCode::NorthWest to namespace EightNeighborhood

const Direction South = NeighborCode::South`[static]`

| Export NeighborCode::South to namespace EightNeighborhood

const Direction SouthEast = NeighborCode::SouthEast`[static]`

| Export NeighborCode::SouthEast to namespace EightNeighborhood

const Direction SouthWest = NeighborCode::SouthWest`[static]`

| Export NeighborCode::SouthWest to namespace EightNeighborhood

const Direction West = NeighborCode::West`[static]`

| Export NeighborCode::West to namespace EightNeighborhood

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.4.0 (21 Dec 2005)